Subject: Re: bug#30168: 25.3.50; segfault when opening scratch buffer (GUI), other times

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 00:47:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Tina Russell <[email-masked]>
>> Date: Thu, 18 Jan 2018 18:38:30 -0800
>>
>> I’ve customized my Emacs installation to take advantage of ErgoEmacs
>> (using https://github.com/ergoemacs/ergoemacs-config as a guide). While
>> ironing out the kinks in my init.el file I realized that Emacs now
>> crashes with a segfault… a LOT. The most blatant example I ran into is
>> that opening the scratch buffer causes a segfault. I can open Emacs,
>> switch to the scratch buffer (using the menu, tabbar, or Ctrl+X B) and
>> Emacs will crash with the following output:
>
> Thank you for your report.
>
>> In GNU Emacs 25.3.50.2 (i686-pc-linux-gnu, GTK+ Version 3.18.9)
>>  of 2017-09-15 built on lgw01-amd64-029
>
> This is an old development snapshot.  Please use the latest pretest of
> Emacs 26 (emacs-26.0.9x, available from alpha.gnu.org) or build the
> current Git repository.  If the problem still persists there, please
> run Emacs under GDB, cause it to crash, and then type this command at
> the GDB prompt "(gdb)":
>
>  (gdb) bt full
>
> and post here the full output of that command.

Are you still seeing this issue?  If yes, I think to progress here we
would need you to follow the steps indicated by Eli above in order to
find out more.

If I don't hear back from you in a couple of weeks, I'll just assume
this is no longer an issue and close this as unreproducible.

Thanks in advance.

Best regards,
Stefan Kangas